Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.http.impl.client
Class RoutedRequest

    java.lang.Object
      org.apache.http.impl.client.RoutedRequest

    @NotThreadSafe
    public class RoutedRequest

extends Object

A request with the route along which it should be sent.

Since:
  4.0

Field Summary
`protected RequestWrapper` | `request`
`protected HttpRoute` | `route`

Constructor Summary
`RoutedRequest(RequestWrapper req, HttpRoute route)` Creates a new routed request.

Method Summary
`RequestWrapper` | `getRequest()`
`HttpRoute` | `getRoute()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### request

    protected final RequestWrapper request

### route

    protected final HttpRoute route

Constructor Detail

### RoutedRequest

    public RoutedRequest(RequestWrapper req,
                         HttpRoute route)

  Creates a new routed request.

  Parameters:
    `req` - the request
    `route` - the route

Method Detail

### getRequest

    public final RequestWrapper getRequest()

### getRoute

    public final HttpRoute getRoute()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2013 The Apache Software Foundation. All Rights Reserved.